Package: org.codehaus.groovy.grails.web.taglib.jsp

## [Java] Class JspInvokeGrailsTagLibTag

- org.codehaus.groovy.grails.web.taglib.jsp.JspInvokeGrailsTagLibTag

- All Implemented Interfaces and Traits:
    javax.servlet.jsp.tagext.DynamicAttributes

      @java.lang.Deprecated
      public class JspInvokeGrailsTagLibTag
      extends javax.servlet.jsp.tagext.BodyTagSupport

  A tag that invokes a tag defined in a the Grails dynamic tag library. Authors of Grails tags who want their tags to work in JSP should sub-class this class and call "setTagName" to set the tagName of the tag within the Grails taglib This tag can of course be used standalone to invoke a Grails tag from JSP: ``

  deprecated:
  Authors:
    Graeme Rocher
  Since:
    16-Jan-2006

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected java.util.Map<java.lang.String, java.lang.Object>` | `attributes` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class javax.servlet.jsp.tagext.BodyTagSupport` | `EVAL_BODY_TAG, EVAL_BODY_BUFFERED, EVAL_BODY_AGAIN, SKIP_BODY, EVAL_BODY_INCLUDE, SKIP_PAGE, EVAL_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JspInvokeGrailsTagLibTag ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `int` | `doAfterBody()`
    `int` | `doEndTag()`
    `int` | `doStartTag()`
    `protected int` | `doStartTagInternal()`
    `java.lang.String` | `getTagName()`
    `void` | `setDynamicAttribute(java.lang.String uri, java.lang.String localName, java.lang.Object value)`
    `void` | `setTagName(java.lang.String tagName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class javax.servlet.jsp.tagext.BodyTagSupport` | `javax.servlet.jsp.tagext.BodyTagSupport#release(), javax.servlet.jsp.tagext.BodyTagSupport#doStartTag(), javax.servlet.jsp.tagext.BodyTagSupport#doEndTag(), javax.servlet.jsp.tagext.BodyTagSupport#doAfterBody(), javax.servlet.jsp.tagext.BodyTagSupport#setBodyContent(javax.servlet.jsp.tagext.BodyContent), javax.servlet.jsp.tagext.BodyTagSupport#doInitBody(), javax.servlet.jsp.tagext.BodyTagSupport#getBodyContent(), javax.servlet.jsp.tagext.BodyTagSupport#getPreviousOut(), javax.servlet.jsp.tagext.BodyTagSupport#getValue(java.lang.String), javax.servlet.jsp.tagext.BodyTagSupport#getParent(), javax.servlet.jsp.tagext.BodyTagSupport#getId(), javax.servlet.jsp.tagext.BodyTagSupport#setParent(javax.servlet.jsp.tagext.Tag), javax.servlet.jsp.tagext.BodyTagSupport#setValue(java.lang.String, java.lang.Object), javax.servlet.jsp.tagext.BodyTagSupport#getValues(), javax.servlet.jsp.tagext.BodyTagSupport#setId(java.lang.String), javax.servlet.jsp.tagext.BodyTagSupport#findAncestorWithClass(javax.servlet.jsp.tagext.Tag, java.lang.Class), javax.servlet.jsp.tagext.BodyTagSupport#setPageContext(javax.servlet.jsp.PageContext), javax.servlet.jsp.tagext.BodyTagSupport#removeValue(java.lang.String), javax.servlet.jsp.tagext.BodyTagSupport#wait(long, int), javax.servlet.jsp.tagext.BodyTagSupport#wait(long), javax.servlet.jsp.tagext.BodyTagSupport#wait(), javax.servlet.jsp.tagext.BodyTagSupport#equals(java.lang.Object), javax.servlet.jsp.tagext.BodyTagSupport#toString(), javax.servlet.jsp.tagext.BodyTagSupport#hashCode(), javax.servlet.jsp.tagext.BodyTagSupport#getClass(), javax.servlet.jsp.tagext.BodyTagSupport#notify(), javax.servlet.jsp.tagext.BodyTagSupport#notifyAll()`
    `class javax.servlet.jsp.tagext.TagSupport` | `javax.servlet.jsp.tagext.TagSupport#getValue(java.lang.String), javax.servlet.jsp.tagext.TagSupport#getParent(), javax.servlet.jsp.tagext.TagSupport#getId(), javax.servlet.jsp.tagext.TagSupport#setParent(javax.servlet.jsp.tagext.Tag), javax.servlet.jsp.tagext.TagSupport#setValue(java.lang.String, java.lang.Object), javax.servlet.jsp.tagext.TagSupport#release(), javax.servlet.jsp.tagext.TagSupport#getValues(), javax.servlet.jsp.tagext.TagSupport#setId(java.lang.String), javax.servlet.jsp.tagext.TagSupport#doStartTag(), javax.servlet.jsp.tagext.TagSupport#findAncestorWithClass(javax.servlet.jsp.tagext.Tag, java.lang.Class), javax.servlet.jsp.tagext.TagSupport#doEndTag(), javax.servlet.jsp.tagext.TagSupport#doAfterBody(), javax.servlet.jsp.tagext.TagSupport#setPageContext(javax.servlet.jsp.PageContext), javax.servlet.jsp.tagext.TagSupport#removeValue(java.lang.String), javax.servlet.jsp.tagext.TagSupport#wait(long, int), javax.servlet.jsp.tagext.TagSupport#wait(long), javax.servlet.jsp.tagext.TagSupport#wait(), javax.servlet.jsp.tagext.TagSupport#equals(java.lang.Object), javax.servlet.jsp.tagext.TagSupport#toString(), javax.servlet.jsp.tagext.TagSupport#hashCode(), javax.servlet.jsp.tagext.TagSupport#getClass(), javax.servlet.jsp.tagext.TagSupport#notify(), javax.servlet.jsp.tagext.TagSupport#notifyAll()`

- - ### Field Detail

    - #### protected java.util.Map<java.lang.String, java.lang.Object> attributes

  - ### Constructor Detail

    - #### public JspInvokeGrailsTagLibTag()

  - ### Method Detail

    - #### @java.lang.Override public int doAfterBody()

    - #### @java.lang.Override public int doEndTag()

    - #### @java.lang.Override public final int doStartTag()

    - #### @java.lang.SuppressWarnings("rawtypes") protected int doStartTagInternal()

    - #### public java.lang.String getTagName()

    - #### public final void setDynamicAttribute(java.lang.String uri, java.lang.String localName, java.lang.Object value)

    - #### public void setTagName(java.lang.String tagName)